Failure waiting for convergence on Ubuntu 20.04

Hello folks,

I get a failure setting up a node on two VMs running Ubuntu 20.04LTS. A third VM, on Ubuntu 18.04LTS version, runs without issues.

Trying to understand what is going wrong. Is Ubuntu 20.04 not supported yet? I saw here it may not be supported yet.

I installed pf9-cli correctly with bash <(curl -sL http://pf9.io/get_cli) after adding gcc and python-dev packages.

Wednesday 03 March 2021  21:57:38 +0000 (0:00:00.033)       0:00:11.656 ******* 
fatal: [localhost]: FAILED! => {"changed": true, "msg": "non-zero return code", "rc": 1, "stderr": "/home/ubuntu/.ansible/tmp/ansible-tmp-1614808658.7179422-14585-263523526581355/wait_for_agent_convergence.sh: line 44: python: command not found\n(23) Failed writing body\n

Looks like Ansible is looking for python while python3 is the only choice. Any suggestions besides rebuild the hosts with Ubuntu 18.04?

Hi @smaffulli

Ubuntu 20.04 is in early access. You need to use the advanced node onboarding flow by downloading the Agent from your SaaS Managment Plane and then SCP the agent to your node.

We also have a brand new CLI that you can use that’s written in Go. Please use this moving forward

https://docs.platform9.com/v5.0/kubernetes/PMK-CLI

1 Like

thanks @the_fun_police. I tried Go app but that doesn’t seem to like Ubuntu 20.04 either:

$ pf9ctl prep-node
2021-03-05T21:59:23.1945Z	INFO	Loading configuration details
2021-03-05T21:59:24.2968Z	FATAL	
Pre-requisite check(s) failed This OS is not supported. Supported operating systems are: Ubuntu (16.04, 18.04) & CentOS 7.x

tried downloading the advanced agent and run that instead but it’s failing to authenticate:

$ sudo bash platform9-install-debian.sh --username=stefano@maffulli.net --password=$SECRET --project-name=https://pmkft-$HIDDEN.platform9.io --no-project

Extracting Platform9 installer

Do you want to configure proxy settings (yes/no)? no
Failed to authenticate with the keystone server on dummy, response:

the response looks like an empty string.